# Uses of Enum Class
org.bukkit.entity.Spellcaster.Spell

Packages that use Spellcaster.Spell
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.

## Uses of Spellcaster.Spell in org.bukkit.entity

Methods in org.bukkit.entity that return Spellcaster.Spell
Modifier and Type
Method
Description
`@NotNull Spellcaster.Spell`
Spellcaster.`getSpell()`
Gets the `Spellcaster.Spell` the entity is currently using.
`static Spellcaster.Spell`
Spellcaster.Spell.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Spellcaster.Spell[]`
Spellcaster.Spell.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.entity with parameters of type Spellcaster.Spell
Modifier and Type
Method
Description
`void`
Spellcaster.`setSpell(@NotNull Spellcaster.Spell spell)`
Sets the `Spellcaster.Spell` the entity is currently using.

## Uses of Spellcaster.Spell in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return Spellcaster.Spell
Modifier and Type
Method
Description
`Spellcaster.Spell`
EntitySpellCastEvent.`getSpell()`
Get the spell to be cast in this event.
Constructors in org.bukkit.event.entity with parameters of type Spellcaster.Spell
Modifier
Constructor
Description
``
`EntitySpellCastEvent(@NotNull Spellcaster what, Spellcaster.Spell spell)`